package com.virtual.pollentia.WalkingTour.vista;


/**
 * Created by Roger Gomez
 */

import android.app.Activity;
import android.os.Bundle;

import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.virtual.pollentia.WalkingTour.controlador.Controlador;
import com.virtual.pollentia.pollentia_tour.R;

public class MapsActivity extends Activity {


    //variables Globales
    private GoogleMap map;
    private Controlador controlador;


    /**
     * Al crar la activty creamos el fragment para mostrar el mapa y situamos los puntos en el mapa.
     *
     * @param savedInstanceState
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_maps);


        //cogemos el fragment
        map = ((MapFragment) getFragmentManager().findFragmentById(R.id.map))
                .getMap();
        try {
            if (map == null) {
                map = ((MapFragment) getFragmentManager().
                        findFragmentById(R.id.map)).getMap();
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        //cogemos el controlador
        controlador = controlador.getSingletonInstance(null, null);
        //llamamos a controlador para que cree el mapa.
        controlador.crearMap(map);

    }


    /**
     * Al pulsar el botón de atras en el dispositivo finalizamos la activity.
     */

    @Override
    public void onBackPressed() {
        map = null;
        this.finish();
        this.overridePendingTransition(R.anim.push_up_in, R.anim.push_up_out);

    }
}
